//------------------------------------------------------------------------------
//
//  npglut.h
//
// ANTZ - 3D data viewer with realtime real-world interaction based on NPE.
//
// ANTZ is hosted at http://temporalzone.com and NPE at http://neuralphysics.org
//
// Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
//
// Additional code contributed by: Mark Buchanan and Lucas Erickson.
//
// To the extent possible under law, the author(s) have dedicated all copyright 
// and related and neighboring rights to this software to the public domain
// worldwide. This software is distributed without any warranty.
//
// Released under the CC0 license, which is GPL compatible.
//
// You should have received a copy of the CC0 Public Domain Dedication along
// with this software (license file named COPYING.txt). If not, see
// http://creativecommons.org/publicdomain/zero/1.0/
//
//------------------------------------------------------------------------------

#ifndef NPGLUT_H_
#define NPGLUT_H_


#ifdef _OSX_
#include <GLUT/glut.h>
#include <OpenGL/gl.h>
#else
//#include "glfw.h"
#include <freeglut.h>
#endif

#include "../npdata.h"


void npInitGlut (int argc, char **argv, void* dataRef);
void npCloseGlut (void* dataRef);

void npAppLoopGlut (void* dataRef);

void npGlutFullScreenExit();

void npGLSolidSphere (GLdouble radius, GLint slices, GLint stacks);
void npGLWireSphere (GLdouble radius, GLint slices, GLint stacks);
void npGLSolidCone (GLdouble base, GLdouble height, GLint slices, GLint stacks);
void npGLWireCone (GLdouble base, GLdouble height, GLint slices, GLint stacks);
void npGLSolidTorus (GLdouble innerRadius, GLdouble outerRadius, 
					GLint slices, GLint stacks);
void npGLWireTorus (GLdouble innerRadius, GLdouble outerRadius, 
					GLint slices, GLint stacks);

void npGlutPrimitive (int primitive);

#endif
